VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
KeyboardEvent Struct Reference
Version 4.11

KeyboardEvent. More...

Inheritance diagram for KeyboardEvent:

## Public Member Functions
| KeyboardEvent (EventType t=EventType::KeyDown)

## Public Attributes
char32_t | character {0}
| UTF-32 character.
VirtualKey | virt {VirtualKey::None}
| virtual key
bool | isRepeat {false}
| indicates for a key down event if this is a repeated key down
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed? If this is true, event dispatching is stopped.

## Detailed Description

KeyboardEvent.

## Constructor & Destructor Documentation

KeyboardEvent | ( | EventType | t = `EventType::KeyDown` | ) |
| inline

## Member Data Documentation

char32_t character {0}

UTF-32 character.

bool isRepeat {false}

indicates for a key down event if this is a repeated key down

VirtualKey virt {VirtualKey::None}

virtual key

The documentation for this struct was generated from the following file:

- events.h